import { JupyterLab, JupyterFrontEndPlugin } from '@jupyterlab/application';
import { JupyterFrontEnd, LabShell, ILabShell } from '@jupyterlab/application';
import { IRenderMime } from '@jupyterlab/rendermime-interfaces';
import { CommandRegistry } from '@lumino/commands';
import { DocumentRegistry } from '@jupyterlab/docregistry';
import { JupyterLabAppProps } from "./JupyterLabApp";
declare class HeadLessJupyterLab extends JupyterLab implements JupyterFrontEnd<ILabShell> {
    constructor(options?: JupyterLab.IOptions);
}
export declare class JupyterLabAppAdapter {
    private _props;
    private _jupyterlab;
    private _shell;
    private _plugins;
    private _ready;
    private _readyResolve;
    constructor(props: JupyterLabAppProps);
    loadApp(props: JupyterLabAppProps): Promise<void>;
    get jupyterlab(): HeadLessJupyterLab;
    get shell(): LabShell;
    get docRegistry(): DocumentRegistry;
    get commands(): CommandRegistry;
    get mimeExtensions(): IRenderMime.IExtensionModule[];
    get info(): JupyterLab.IInfo;
    get path(): JupyterFrontEnd.IPaths;
    get plugins(): Map<string, JupyterFrontEndPlugin<any, any, any> & {
        service: any;
    }>;
    get ready(): Promise<void>;
    get props(): JupyterLabAppProps;
    plugin(id: string): (JupyterFrontEndPlugin<any, any, any> & {
        service: any;
    }) | undefined;
    service(id: string): any;
}
export default JupyterLabAppAdapter;
