import { jsx as _jsx } from "react/jsx-runtime";
import { createElement } from 'react';
import { createPortal } from 'react-dom';
import { newUuid } from '../../../../utils/Utils';
import { ReactPortalWidget } from '../../../../jupyter/lumino/ReactPortalWidget';
import { notebookActions } from '../../NotebookState';
export const DATALAYER_CELL_HEADER_CLASS = 'dla-CellHeader-Container';
export class CellSidebarWidget extends ReactPortalWidget {
    commands;
    constructor(CellSidebar, notebookId, nbgrader, commands, store) {
        super();
        this.commands = commands;
        this.addClass('jp-CellHeader');
        this.id = newUuid();
        const props = {
            notebookId: notebookId,
            cellId: this.id,
            command: this.commands,
            nbgrader,
        };
        const sidebar = createElement(CellSidebar, props);
        const portalDiv = (_jsx("div", { className: DATALAYER_CELL_HEADER_CLASS, children: sidebar }));
        const portal = createPortal(portalDiv, this.node);
        store.dispatch(notebookActions.addPortals({
            uid: notebookId,
            portals: [portal]
        }));
    }
}
export default CellSidebarWidget;
//# sourceMappingURL=CellSidebarWidget.js.map