import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { useState } from 'react';
import { createRoot } from 'react-dom/client';
import { Text, ToggleSwitch } from "@primer/react";
import Jupyter from '../jupyter/Jupyter';
import Notebook from '../components/notebook/Notebook';
import NotebookToolbar from "./toolbars/NotebookToolbar";
import CellSidebar from "../components/notebook/cell/sidebar/CellSidebar";
import nbformat from "./notebooks/NotebookExample1.ipynb.json";
const NotebookThemed = () => {
    const [theme, setTheme] = useState('light');
    const [isOn, setIsOn] = useState(false);
    const onClick = () => {
        if (isOn) {
            setTheme('light');
        }
        else {
            setTheme('dark');
        }
        setIsOn(!isOn);
    };
    const handleSwitchChange = (on) => {
        setIsOn(on);
    };
    return (_jsx(_Fragment, { children: _jsxs(Jupyter
        //        jupyterServerHttpUrl="https://oss.datalayer.tech/api/jupyter"
        //        jupyterServerWsUrl="wss://oss.datalayer.tech/api/jupyter"
        //        jupyterToken="60c1661cc408f978c309d04157af55c9588ff9557c9380e4fb50785750703da6"
        , { 
            //        jupyterServerHttpUrl="https://oss.datalayer.tech/api/jupyter"
            //        jupyterServerWsUrl="wss://oss.datalayer.tech/api/jupyter"
            //        jupyterToken="60c1661cc408f978c309d04157af55c9588ff9557c9380e4fb50785750703da6"
            theme: theme, children: [_jsx(Text, { fontSize: 2, fontWeight: "bold", id: "switch-label", display: "block", mb: 1, children: "Dark Theme" }), _jsx(ToggleSwitch, { size: "small", onClick: onClick, onChange: handleSwitchChange, checked: isOn, statusLabelPosition: "end", "aria-labelledby": "switch-label" }), _jsx(Notebook, { nbformat: nbformat, uid: "notebook-model-uid", externalIPyWidgets: [
                        { name: "@widgetti/jupyter-react", version: "0.3.0" },
                        { name: "bqplot", version: "0.5.42" },
                        { name: "jupyter-matplotlib", version: "0.11.3" },
                    ], height: 'calc(100vh - 2.6rem)' // (Height - Toolbar Height).
                    , cellSidebarMargin: 120, CellSidebar: CellSidebar, Toolbar: NotebookToolbar })] }) }));
};
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(NotebookThemed, {}));
//# sourceMappingURL=NotebookThemed.js.map